# Uses of Class
javax.swing.plaf.DesktopPaneUI

Packages that use DesktopPaneUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

- ## Uses of DesktopPaneUI in javax.swing

  Methods in javax.swing that return DesktopPaneUI
  Modifier and Type
  Method
  Description
  `DesktopPaneUI`
  JDesktopPane.`getUI()`
  Returns the L&F object that renders this component.
  Methods in javax.swing with parameters of type DesktopPaneUI
  Modifier and Type
  Method
  Description
  `void`
  JDesktopPane.`setUI(DesktopPaneUI ui)`
  Sets the L&F object that renders this component.

- ## Uses of DesktopPaneUI in javax.swing.plaf.basic

  Subclasses of DesktopPaneUI in javax.swing.plaf.basic
  Modifier and Type
  Class
  Description
  `class`
  `BasicDesktopPaneUI`
  Basic L&F for a desktop.

- ## Uses of DesktopPaneUI in javax.swing.plaf.multi

  Subclasses of DesktopPaneUI in javax.swing.plaf.multi
  Modifier and Type
  Class
  Description
  `class`
  `MultiDesktopPaneUI`
  A multiplexing UI used to combine `DesktopPaneUI`s.

- ## Uses of DesktopPaneUI in javax.swing.plaf.synth

  Subclasses of DesktopPaneUI in javax.swing.plaf.synth
  Modifier and Type
  Class
  Description
  `class`
  `SynthDesktopPaneUI`
  Provides the Synth L&F UI delegate for `JDesktopPane`.